Jump to content


Photo

Scales of Balance: post-hac tweaks and kit pack


  • Please log in to reply
45 replies to this topic

#41 ChitownWillie

ChitownWillie
  • Member
  • 36 posts

Posted 10 March 2020 - 12:14 PM

Hi Subtledoctor,

 

Attempting to equip with Light Crossbow causes CTD with the following error:

 

ASSERTION FAILED!
File: ObjAnimation.cpp
Line: 20502

Exp: itemFlags&ITEM_FLAGS_TWOHANDED && resref != ""

 

Do you think it has something to do with "Functional Weapon Tweaks", specifically :

 

* Light crossbows can be used 1-handed, with shields.

 

Update: Looks like another user experienced in 2017:

Attached Images

  • Kiwi.JPG

Edited by ChitownWillie, 20 March 2020 - 10:40 AM.


#42 ChitownWillie

ChitownWillie
  • Member
  • 36 posts

Posted 20 March 2020 - 11:18 AM

Update - I can duplicate the problem.

 

If I uncheck the "Two-handed" flag for Light Crossbow, it breaks:

Attached Images

  • Breaks it.JPG

Edited by ChitownWillie, 20 March 2020 - 11:21 AM.


#43 ChitownWillie

ChitownWillie
  • Member
  • 36 posts

Posted 17 May 2020 - 08:54 AM

Attempting to install Poison Overhaul:

 

Appending to files ...

ERROR locating resource for 'APPEND'
Resource [SPLPROT.2DA] not found in KEY file:
        [./chitin.key]
Stopping installation because of error.
Stopping installation because of error.

ERROR Installing [POI - Poison Overhaul], rolling back to previous state
Will uninstall   0 files for [SCALES_OF_BALANCE/SCALES_OF_BALANCE.TP2] component 240.
Uninstalled      0 files for [SCALES_OF_BALANCE/SCALES_OF_BALANCE.TP2] component 240.
ERROR: Failure("resource [SPLPROT.2DA] not found for 'APPEND'")
Please make a backup of the file: SETUP-SCALES_OF_BALANCE.DEBUG and look for support at: SubtleD



#44 subtledoctor

subtledoctor
  • Member
  • 638 posts

Posted 21 May 2020 - 06:37 PM

Answered elsewhere, but: Poison Overhaul is EE-only. I thought I put that as an install predicate? I guess maybe it was omitted by mistake.

#45 ALIEN

ALIEN
  • Member
  • 898 posts

Posted 22 May 2020 - 01:49 AM

@subtledoctor Maybe he download older version because the "Download" link point to version 3.3.1?

 

github.com/account/repository/releases/latest

 

 

 will always lead to latest release. Or maybe he didn't update mod to the latest version?


Edited by ALIEN, 22 May 2020 - 01:50 AM.

Project Infinity public BETA - mod manager for Infinity Engine games

Infinity Auto Packager - automatically generate and adds mod packages to GitHub release

Modder's Guide to GitHub - you cannot have progress without committing changes


#46 subtledoctor

subtledoctor
  • Member
  • 638 posts

Posted 23 May 2020 - 01:28 PM

No, it's my fault, I neglected to insert a REQUIRE_PREDICATE line to restrict that component to the EE games.